select * from master_data;
-- Patient_Data 
select p_amka,p_name,p_surname,p_afm from master_data;

select distinct p_amka,p_name,p_surname,p_afm from master_data;

insert into patient (pname,psurname,pafm,pamka)
select distinct p_name,p_surname,p_afm,p_amka from master_data;

-- Doctor_Data 
select d_afm,d_name,d_surname from master_data;

select distinct d_afm,d_name,d_surname  from master_data;

insert into doctor (dname,dsurname,dafm)
select distinct d_name,d_surname,d_afm   from master_data;

-- Medicine_Data 
select med_name,med_barcode,med_cost from master_data;

select distinct med_name,med_barcode,med_cost  from master_data;

insert into medicine (med_name,med_barcode,med_value)
select distinct med_name,med_barcode,med_cost  from master_data;

-- Prescription
select 
	(select patient_id from patient where patient.pamka=master_data.p_amka) patient_id,
    (select doctor_id from doctor where doctor.dafm=master_data.d_afm) doctor_id,
    issue_date,
    prescription_barcoce
from
 master_data;

select distinct med_name,med_barcode,med_cost  from master_data;

insert into prescription (patient_id,doctor_id,issue_date,pres_barcode)
select 
distinct
	(select patient_id from patient where patient.pamka=master_data.p_amka) patient_id,
    (select doctor_id from doctor where doctor.dafm=master_data.d_afm) doctor_id,
    -- DATE_FORMAT(issue_date, "%d %M %Y"),
    (STR_TO_DATE(issue_date,'%d/%m/%Y %H:%i:%s')) issue_date,
    prescription_barcode
from
 master_data;


select * from prescription;


-- treatment
select 
   (select medicine_id from medicine where medicine.med_barcode=master_data.MED_BARCODE) med_id,
    med_cost,
   (select distinct prescription_id from prescription 
   where prescription.pres_barcode=master_data.prescription_barcode) pres_id
from
 master_data;


insert into treatment (prescription_id,medicine_id,med_cost)
select 
	distinct 
     (select distinct prescription_id from prescription 
   where prescription.pres_barcode=master_data.prescription_barcode) pres_id,
   (select medicine_id from medicine where medicine.med_barcode=master_data.MED_BARCODE) med_id,
    med_cost
  
from
 master_data;


select * from prescription;
select * from treatment;
select * from patient;
select * from doctor;
select * from medicine;

